### A free/open-source library for quantitative finance

Classes | Functions
ql/math/optimization/spherecylinder.hpp File Reference

Find closest point of the intersection of a sphere and cylinder to a given point. More...

`#include <ql/types.hpp>`
`#include <vector>`
Include dependency graph for spherecylinder.hpp:

## Classes

class | SphereCylinderOptimizer

## Functions

std::vector< Real > | sphereCylinderOptimizerClosest (Real r, Real s, Real alpha, Real z1, Real z2, Real z3, Natural maxIterations, Real tolerance, Real finalWeight=1.0)

## Detailed Description

Find closest point of the intersection of a sphere and cylinder to a given point.